Subject: bug#45477: 27.1; RFE: Make full RSS fragments available for nnrss servers

From: Tim Landscheidt <[email-masked]>
Date: Fri, 01 Jan 2021 17:09:02 +0000

Lars Ingebrigtsen <[email-masked]> wrote:

>> Even if the XML gets bloated when saved in nnrss-group-data
>> (it holds one feed at most), IMHO almost all feeds will be
>> small enough to be negligible in a typical Emacs/Gnus setup
>> (the largest feed above holds data from February 2010 till
>> now; usually feeds only contain the most recent x entries).

> Doesn't nnrss-group-data store older entries, though?  I just skimmed
> the nnrss code, and I didn't see any pruning...

I assumed that was done by the normal expire process, but I
didn't look deeper into that.

>>> I think a way to implement this would be to add an nnrss variable that
>>> says what "extra" XML fields to store -- like (nnrss-extra-fields
>>> '(itunes:episodeType ...)).

>> That would allow my use case.

> Patches welcome.  :-)

Well, in that case I rather work on a new, clean, shiny
backend that accepts Atom and RSS feeds and does everything
The Right Way™ :-).